import request from '@/utils/request'

// 查询系统监测列表
export function listXtjc(query) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/list',
    method: 'get',
    params: query
  })
}

// 查询系统监测详细
export function getXtjc(id) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/' + id,
    method: 'get'
  })
}

// 新增系统监测
export function addXtjc(data) {
  return request({
    url: '/tcZz/networkSecurity/xtjc',
    method: 'post',
    data: data
  })
}

// 修改系统监测
export function updateXtjc(data) {
  return request({
    url: '/tcZz/networkSecurity/xtjc',
    method: 'put',
    data: data
  })
}

// 删除系统监测
export function delXtjc(id) {
  return request({
    url: '/tcZz/networkSecurity/xtjc/' + id,
    method: 'delete'
  })
}
